Horizontal screen flicker Intel UHD graphics 620 (rev 07) Lenovo Ideapad 720s 13IKB 81BV

Bug #1785912 reported by Prefernot Tosay on 2018-08-07
50
This bug affects 10 people
Affects Status Importance Assigned to Milestone
Linux
Incomplete
Medium
linux (Ubuntu)
Medium
Unassigned

Bug Description

Horrible screen flicker from login screen and after login. 18.04.1 LTS.
I have two similar laptops, both Lenovo Ideapad 720s 13IKB,
model 81A8 - Core i5 7200U - Intel HD Graphics 620 Rev 02 - works fine.
model 81BV - Core i5 8250U - Intel UHD Graphics 620 Rev 07 - awful screen flashing.

Neither have the problem in Windows (ie hardware fine)

I installed the standard Ubuntu 18.04 on each of them (same USB Key, few weeks apart) but only the 81BV / 8th gen / UHD 620 Rev 07 has the problem.

Flickering visible on video here: https://photos.app.goo.gl/HCN73q1nQfgstgVBA

I've used ubuntu-bug so I believe you have all the details of the machine. The install came straight from your standard 18.04 download. Any changes are due to me trying to fix this (not much prev exp of kernel params etc)

Things tried but which didn't work were:
- enable huc/guc (got it to load - it's now visible in the attached dmesg - but didn't help.)
- enable_rc6=0 (just stopped sleep / resume working)
- edp_vswing=2

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: xserver-xorg-video-intel 2:2.99.917+git20171229-1
ProcVersionSignature: Ubuntu 4.15.0-30.32-generic 4.15.18
Uname: Linux 4.15.0-30-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.2
Architecture: amd64
CompositorRunning: None
Date: Tue Aug 7 23:09:14 2018
DistUpgraded: Fresh install
DistroCodename: bionic
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation UHD Graphics 620 [8086:5917] (rev 07) (prog-if 00 [VGA controller])
   Subsystem: Lenovo UHD Graphics 620 [17aa:39af]
InstallationDate: Installed on 2018-08-06 (1 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 0cf3:e500 Atheros Communications, Inc.
 Bus 001 Device 003: ID 5986:210d Acer, Inc
 Bus 001 Device 002: ID 06cb:0081 Synaptics, Inc.
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: LENOVO 81BV
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-30-generic root=UUID=10eb4e00-26e4-4f42-b983-9a603a658f89 ro i915.enable_guc=3 i915.enable_guc_loading=1
SourcePackage: xserver-xorg-video-intel
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/02/2018
dmi.bios.vendor: LENOVO
dmi.bios.version: 6MCN27WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: LNVNB161216
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709 WIN
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo ideapad 720S-13IKB
dmi.modalias: dmi:bvnLENOVO:bvr6MCN27WW:bd05/02/2018:svnLENOVO:pn81BV:pvrLenovoideapad720S-13IKB:rvnLENOVO:rnLNVNB161216:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrLenovoideapad720S-13IKB:
dmi.product.family: ideapad 720S-13IKB
dmi.product.name: 81BV
dmi.product.version: Lenovo ideapad 720S-13IKB
dmi.sys.vendor: LENOVO
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.91-2
version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.5-0ubuntu0~18.04.1
version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.5-0ubuntu0~18.04.1
version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

Prefernot Tosay (hagrid67) wrote :
description: updated
description: updated
description: updated
Prefernot Tosay (hagrid67) wrote :

The machine is newly installed so I can try things out without too much stress if it helps.

Prefernot Tosay (hagrid67) wrote :

Tried mainline kernel 4.18 and it didn't help: the flickering looks the same to me.

pc14:/sys/module/i915$ modinfo i915
filename: /lib/modules/4.18.0-041800-generic/kernel/drivers/gpu/drm/i915/i915.ko
license: GPL and additional rights
description: Intel Graphics
author: Intel Corporation
author: Tungsten Graphics, Inc.
firmware: i915/bxt_dmc_ver1_07.bin
firmware: i915/skl_dmc_ver1_27.bin
firmware: i915/kbl_dmc_ver1_04.bin
firmware: i915/cnl_dmc_ver1_07.bin
firmware: i915/glk_dmc_ver1_04.bin
firmware: i915/kbl_guc_ver9_39.bin
firmware: i915/bxt_guc_ver9_29.bin
firmware: i915/skl_guc_ver9_33.bin
firmware: i915/kbl_huc_ver02_00_1810.bin
firmware: i915/bxt_huc_ver01_07_1398.bin
firmware: i915/skl_huc_ver01_07_1398.bin
srcversion: CBDAC14E62E2863B1B1614A

sudo systool -vm i915
Module = "i915"

  Attributes:
    coresize = "1740800"
    initsize = "0"
    initstate = "live"
    refcnt = "20"
    srcversion = "CBDAC14E62E2863B1B1614A"
    taint = ""
    uevent = <store method only>

  Parameters:
    alpha_support = "N"
    disable_display = "N"
    disable_power_well = "1"
    dmc_firmware_path = "(null)"
    edp_vswing = "0"
    enable_cmd_parser = "Y"
    enable_dc = "-1"
    enable_dp_mst = "Y"
    enable_dpcd_backlight= "N"
    enable_fbc = "1"
    enable_guc = "3"
    enable_gvt = "N"
    enable_hangcheck = "Y"
    enable_ips = "1"
    enable_ppgtt = "3"
    enable_psr = "0"
    error_capture = "Y"
    fastboot = "N"
    force_reset_modeset_test= "N"
    guc_firmware_path = "(null)"
    guc_log_level = "1"
    huc_firmware_path = "(null)"
    invert_brightness = "0"
    load_detect_test = "N"
    lvds_channel_mode = "0"
    mmio_debug = "0"
    modeset = "-1"
    nuclear_pageflip = "N"
    panel_ignore_lid = "1"
    panel_use_ssc = "-1"
    prefault_disable = "N"
    reset = "2"
    vbt_firmware = "(null)"
    vbt_sdvo_panel_type = "-1"
    verbose_state_checks= "Y"

Timo Aaltonen (tjaalton) wrote :

you may try drm-next or drm-intel-next from the mainline kernels ppa, but if those won't help then you'd better file a bug upstream at bugs.freedesktop.org (DRI -- drm/intel)

affects: xserver-xorg-video-intel (Ubuntu) → linux (Ubuntu)

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
7 comments hidden view all 111 comments
Download full text (59.1 KiB)

Created attachment 141835
Glitch.

Team,

I picked up a new Lenovo IdeaPad 720S which comes with the KabyLake
i7-8550U chip with Intel 620UHD Chip. Ran the Intel SSU Scan Tool and
sent to their support and Intel told me to look here for the driver
but I can't find it. Basically my screen is flashing like crazy and
I'm hoping to find the driver here. Also running Ubuntu 18.04 LTS,
18.10, Arch, Deeping, CentOS 7, and Fedora 28 all have the same
glitch. Also attached is a 10 sec video of glitch and below is dmesg output.

[ 0.000000] Linux version 4.18.0-8-generic (buildd@lgw01-amd64-055) (gcc version 8.2.0 (Ubuntu 8.2.0-6ubuntu1)) #9-Ubuntu SMP Mon Sep 10 16:12:10 UTC 2018 (Ubuntu 4.18.0-8.9-generic 4.18.7)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.18.0-8-generic root=UUID=c553767e-2b50-4fc3-bae8-31fc029a561c ro quiet splash i915.alpha_support=1 vt.handoff=1
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x001: 'x87 floating point registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x002: 'SSE registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x004: 'AVX registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x008: 'MPX bounds registers'
[ 0.000000] x86/fpu: Supporting XSAVE feature 0x010: 'MPX CSR'
[ 0.000000] x86/fpu: xstate_offset[2]: 576, xstate_sizes[2]: 256
[ 0.000000] x86/fpu: xstate_offset[3]: 832, xstate_sizes[3]: 64
[ 0.000000] x86/fpu: xstate_offset[4]: 896, xstate_sizes[4]: 64
[ 0.000000] x86/fpu: Enabled xstate features 0x1f, context size is 960 bytes, using 'compacted' format.
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: [mem 0x0000000000000000-0x0000000000057fff] usable
[ 0.000000] BIOS-e820: [mem 0x0000000000058000-0x0000000000058fff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000059000-0x000000000009dfff] usable
[ 0.000000] BIOS-e820: [mem 0x000000000009e000-0x00000000000fffff] reserved
[ 0.000000] BIOS-e820: [mem 0x0000000000100000-0x00000000125d7fff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000125d8000-0x00000000125d8fff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x00000000125d9000-0x00000000125d9fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000125da000-0x00000000140a7fff] usable
[ 0.000000] BIOS-e820: [mem 0x00000000140a8000-0x00000000149a7fff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000149a8000-0x000000002ee9dfff] usable
[ 0.000000] BIOS-e820: [mem 0x000000002ee9e000-0x000000002f09dfff] type 20
[ 0.000000] BIOS-e820: [mem 0x000000002f09e000-0x000000002f88dfff] reserved
[ 0.000000] BIOS-e820: [mem 0x000000002f88e000-0x000000002ff7dfff] ACPI NVS
[ 0.000000] BIOS-e820: [mem 0x000000002ff7e000-0x000000002fffdfff] ACPI data
[ 0.000000] BIOS-e820: [mem 0x000000002fffe000-0x000000002fffefff] usable
[ 0.000000] BIOS-e820: [mem 0x000000002ffff000-0x000000003cffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000e0000000-0x00000000efffffff] reserved
[ 0.000000] BIOS-e820: [mem 0x00000000fd000000-0x00000000fe7fffff] reserved
[ 0.000000] B...

Joe, Can you please try to reproduce the issue using drm-tip (https://cgit.freedesktop.org/drm-tip) and kernel parameters drm.debug=0x1e log_buf_len=4M, and if the problem persists attach the full dmesg from boot.

Joe, In order to debug the issue, following information will be useful
cat /sys/kernel/debug/dri/0/i915_edp_psr_status

Can you send this output?

*** Bug 108138 has been marked as a duplicate of this bug. ***

For starters, full dmesg with drm.debug=14 on whichever kernel you're running will be helpful, but be prepared to try drm-tip too.

And do *attach* the logs, don't add them in comments!

Jani & Lakshmi,

Thank you for your continued support and my apologies for creating a duplicate on this. I received and email saying this ticket was canceled due to size so I created a new one with the dmesg attached.

I will try the drm-tip when I get back to my laptop this evening and report.
Will also include the full dmesg from boot and the
cat /sys/kernel/debug/dri/0/i915_edp_psr_status.

Can I get some guidance on the following to help debug?

Where do I change drm.debug=0x1e & log_buf_len=4M?
Also should I add the drm.debug=14 to these as well and produce the log?

Thanks,

Joe

Ok apparently I'm a noob, I can't get drm-tip to install and I have no clue where to add the config statements. Any help would be appreciated.

Joe

Created attachment 141867
cat /sys/kernel/debug/dri/0/i915_edp_psr_status

Created attachment 141868
dmesg after drm changes

Ok so the only thing I couldn't figure out is install drm-tip. So unfortunately I was not able to get the dmesg after drm-tip.

(In reply to Joe from comment #6)
> Ok apparently I'm a noob, I can't get drm-tip to install and I have no clue
> where to add the config statements. Any help would be appreciated.
>
> Joe

Joe, go to grub file under /etc/default and edit like below
Grub-cmdline-linux-default = “quiet splash drm.debug=0x1e log_buf_len=4M”

This is also happening on the 8250U version of the ideapad 720s. I can attach logs if you would find them helpful.

Mazin,Can you also elaborate the issue, to ensure its the same bug.
Have you verified with latest drm-tip?
You can attach the dmesg with kernel parameters drm.debug=0x1e log_buf_len=4M from boot.

The above information will help us in debugging.

(In reply to Lakshmi from comment #10)
> (In reply to Joe from comment #6)
> > Ok apparently I'm a noob, I can't get drm-tip to install and I have no clue
> > where to add the config statements. Any help would be appreciated.
> >
> > Joe
>
> Joe, go to grub file under /etc/default and edit like below
> Grub-cmdline-linux-default = “quiet splash drm.debug=0x1e log_buf_len=4M”

Lakshmi,

I was able to make the changes to grub and attached the dmesg. Please look at dmesg2.txt.

Thanks,

joe

Created attachment 141902
dmesg2.txt

Team,

I was able to perform the following tasks:

git clone git://anongit.freedesktop.org/drm-tip
make defconfig
make
sudo make modules_install
sudo make install

However, I must be missing a step because dim and or drm-tip are not known programs.

Thoughts on getting drm-tip to run?

Thanks,

Joe

Looks like my changes did not take I reviewed the dmesg and noticed it loaded the i915. I attached dmesg3.txt with the changes. Also note that I change the grub and still the changed didn't take. I have attached the grub file as well so you can see my changes.

Joe

Created attachment 141905
dmesg3.txt

Created attachment 141906
grub

Any Luck Team?

Joe, if not with latest drm-tip, can you try with latest mainline kernel.

(In reply to Lakshmi from comment #20)
> Joe, if not with latest drm-tip, can you try with latest mainline kernel.

What would you like me to try?

> What would you like me to try?
Try to reproduce the issue with latest kernel with kernel parameters drm.debug=0x1e log_buf_len=4M, and if the problem persists attach the full dmesg from boot.

Created attachment 141943
Kernel 4.19 before flickering stops

There is still artifact issues that sometimes go away with time, this is with kernel 4.19. I don't know how to install a kernel from source and got a out of data error when I tried your provided link. This is from the .deb files http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/2018-10-08/ I found here. Thank you for your time and hope my contribution is useful

Created attachment 141944
flickering stopped

(In reply to Lakshmi from comment #22)
>
> > What would you like me to try?
> Try to reproduce the issue with latest kernel with kernel parameters
> drm.debug=0x1e log_buf_len=4M, and if the problem persists attach the full
> dmesg from boot.

Lakshmi,

You are a godsend!!! Finally no more glitching.. Thought I was going to have a seizure watching the screen glitch like that... In any case, I did want to tell you the splash screen glitched out but once I logged in, no more glitching or artifacts. I did install the latest kernel, the latest headers, and the latest modules. Attached is dmesg4.txt which is my latest dmesg in case you need if for the splash screen. I removed something from kernel parameters but will have to go back to see what it was.

Wish I could help you folks on a regular basis but I'm no programmer just a network admin.

Joe

Created attachment 141947
dmesg4.txt

Lakshmi,

If you don’t mind can you explain what the fix was/how you fixed it?

33 comments hidden view all 111 comments

I have Lenovo Ideapad 720s 4k screen, i7-8550U; UHD Graphics 620 (Kabylake GT2) and I am facing the exact same issue in it. The issue is deep rooted, as I have tried fedora, Mint, etc and there is simply no escape. But it works perfectly on a windows machine.

Were you able to figure out a workaround ?

Prefernot Tosay (hagrid67) wrote :

Sadly not! The slightly older model (also 4k but older rev) worked fine with the standard install so my intention is to use that (long story but it has windows only at the moment). Really I wanted the newer 4-core one running linux but I couldn't justify the time investigating.

Prefernot Tosay (hagrid67) wrote :

Similar bug, simlar hardware, in the freedesktop.org system here:
https://bugs.freedesktop.org/show_bug.cgi?id=108132

There is a screen flicker video attached which looks the same as mine.

Thanks to midskavid above for spotting this.

63 comments hidden view all 111 comments

I added `i915.enable_dc=0' to GRUB_CMDLINE_LINUX_DEFAULT; updated grub and rebooted, but still nothing.

It is still flickering.

I experienced the same thing as Mirdul.

Hi, just idea, could this series from Ville helping on symptoms?
https://patchwork.freedesktop.org/series/51878/

I don't know how to apply the patch, I keep getting errors with git am. Hopefully someone else can try it.

65 comments hidden view all 111 comments
Artiom Neganov (aneganov) wrote :

Same here.
Ubuntu 18.04, just installed on Razer Blade Stealth. With this flicker it's just impossible to use it. Crap...

66 comments hidden view all 111 comments

Hi guys!

I'm having the same problem on my new laptop - Razer Blade Stealth 13".

System: Kubuntu 18.04
CPU: i7-8550U
Video: Intel UHD Graphics 620 (rev 07) (prog-if 00 [VGA controller])
Kernel: 4.15.0-39-generic

There are some updates I haven't yet applied since system install, so I'm going to update and then write back.

Same issue here, Ideapad 720S, i5 version with the 620UHD chip. Tried running drm-tip and also Ville's patch but still have the constant flickering.

Good news! I activated fastboot (add kernel param i915.fastboot=1) and that caused the flickering to stop!

Yugge,

It looks good and there is almost no glitching(just a slight flicker) when booting and thereafter.

However, once the system wakes from sleep or a locked screen, flickering returns!

Are you not facing this?

Just tried adding i915.fastboot=1, it stops the flickering. But I'm experiencing the same thing as Mirdul, where after having the laptop suspend the flickering is back.

I had not tried suspending when I wrote before, but yes, I also experience it returning. But at least it turned my new laptop from totally useless to with some annoyances. :)

It hope it might also give some puzzle pieces to what is wrong with the driver.

Yes, indeed!

Hi.

Same issue on a new Lenovo Ideapad 530s, having the same Intel graphics card.
However, if I connect a second display over HDMI, the laptop display flickers while this other display is functioning just fine (doing this in mirror mode).

P.S.: This flickering issue was encountered on Ubuntu 18.04LTS and Debian 9.6, but not on Windows 10, so it doesn't seem to be a hardware problem, or at least not entirely.

:))

Just started flickering on Windows as well. It might just be a hardware bug, after all.

@Yugge,

Your fix was a life saver! I think this bug is on a lower priority with them and chances of it being fixed anytime soon are bleak. You saved our lives!!

I was contemplating going back to Windows; the flickering was so bad.. Imagine!

Thanks again!

Could you also create a debug log with drm.debug=0x1e and fastboot=1 ?

Looking at dump_pipe_config, I don't see big differences.

setup_hw_state:
[drm:intel_dump_pipe_config [i915]] dp m_n: lanes: 4; gmch_m: 6213395, gmch_n: 8388608, link_m: 517782, link_n: 524288, tu: 64

Only thing in link is:

modeset:
[drm:intel_dump_pipe_config [i915]] dp m_n: lanes: 4; gmch_m: 6213395, gmch_n: 8388608, link_m: 1035565, link_n: 1048576, tu: 64

Doubt that causes it..

But could always try a lower m/n value..

In i915/intel_dp.c:
 bool constant_n = drm_dp_has_quirk(&intel_dp->desc,
        DP_DPCD_QUIRK_CONSTANT_N);

Change to
bool constant_n = true;

Fixed it (on Ubuntu 18.04) with this:

sudo gedit /etc/default/grub
GRUB_CMDLINE_LINUX_DEFAULT=”quiet splash nomodeset" then exit the gedit
sudo update-grub
reboot

More details here:
https://askubuntu.com/questions/1068022/screen-tearing-flickering-on-lenovo-ideapad-720s-131ikb?fbclid=IwAR37_dYF_Q4mqLZ20KMPeNvb4yZYH7_X299pXdYs214hLGhaiYI2p78kE88

Pay attention at the wrong quote sign, please! So:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset"

@Dromichet adding nomodeset make my setup not boot, both on my primary arch and on liveusbs of buntulikes

@Maarten Lankhorst - Will try it out when I get the chance!

@Maarten Lankhorst - Verified, forcing constant_n to true does solve the issue and let me restore from suspend without flickering!

This is a display DP bug then, probably needs some quirk to work correctly. :)

(In reply to Yugge from comment #78)
> @Maarten Lankhorst - Verified, forcing constant_n to true does solve the
> issue and let me restore from suspend without flickering!

Will I have to build the drivers from source? Is this documented somewhere (how to build it from source)?

Also, is this the final fix? forcing it to true?

Lenovo 720s-13IKS 81A8000SRK. Update to latest BIOS (5SSCN34WW to 5SCN38WW) fix the problem for me. Ubuntu 18.10.

(In reply to Mridul from comment #80)
> (In reply to Yugge from comment #78)
> > @Maarten Lankhorst - Verified, forcing constant_n to true does solve the
> > issue and let me restore from suspend without flickering!
>
> Will I have to build the drivers from source? Is this documented somewhere
> (how to build it from source)?
>
> Also, is this the final fix? forcing it to true?

It very much depends on the distribution on how to do it properly, Arch has it documented https://wiki.archlinux.org/index.php/Kernel/Traditional_compilation .

I wouldn't call the fix final, While it did stop some flickering (short suspension, closing the lid) it caused other issues, flickering returning after a long suspension (laptop picked up after being in my bag for a while) and sometimes caused the screen not to turn on after lid open. So it might indicate something about the issue, but is by no means the final fix.

(In reply to Dmitry from comment #81)
> Lenovo 720s-13IKS 81A8000SRK. Update to latest BIOS (5SSCN34WW to 5SCN38WW)
> fix the problem for me. Ubuntu 18.10.

Was interested to see if it was indeed a bios issue for my Lenovo 720s-13IKB 81BV so I updated the bios to 6MCN28WW. The issue still remained, unfortunately. Just to confirmed, that model is the UHD version right?

(In reply to Yugge from comment #83)
> (In reply to Dmitry from comment #81)
> > Lenovo 720s-13IKS 81A8000SRK. Update to latest BIOS (5SSCN34WW to 5SCN38WW)
> > fix the problem for me. Ubuntu 18.10.
>
> Was interested to see if it was indeed a bios issue for my Lenovo 720s-13IKB
> 81BV so I updated the bios to 6MCN28WW. The issue still remained,
> unfortunately. Just to confirmed, that model is the UHD version right?

Yes, UHD versoin.

dm@720S-13IKB:~$ sudo systool -vm i915
[sudo] пароль для dm:
Module = "i915"

  Attributes:
    coresize = "1740800"
    initsize = "0"
    initstate = "live"
    refcnt = "20"
    srcversion = "8F2ABA1EAAB491BBB0801EE"
    taint = ""
    uevent = <store method only>

  Parameters:
    alpha_support = "N"
    disable_display = "N"
    disable_power_well = "1"
    dmc_firmware_path = "(null)"
    edp_vswing = "0"
    enable_cmd_parser = "Y"
    enable_dc = "-1"
    enable_dp_mst = "Y"
    enable_dpcd_backlight= "N"
    enable_fbc = "1"
    enable_guc = "0"
    enable_gvt = "N"
    enable_hangcheck = "Y"
    enable_ips = "1"
    enable_ppgtt = "3"
    enable_psr = "0"
    error_capture = "Y"
    fastboot = "N"
    force_reset_modeset_test= "N"
    guc_firmware_path = "(null)"
    guc_log_level = "0"
    huc_firmware_path = "(null)"
    invert_brightness = "0"
    load_detect_test = "N"
    lvds_channel_mode = "0"
    mmio_debug = "0"
    modeset = "-1"
    nuclear_pageflip = "N"
    panel_ignore_lid = "1"
    panel_use_ssc = "-1"
    prefault_disable = "N"
    reset = "2"
    vbt_firmware = "(null)"
    vbt_sdvo_panel_type = "-1"
    verbose_state_checks= "Y"

dm@720S-13IKB:~$ uname -a
Linux 720S-13IKB 4.18.0-12-generic #13-Ubuntu SMP Wed Nov 14 15:17:05 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

dm@720S-13IKB:~$ tlp-stat -s
--- TLP 1.1 --------------------------------------------

+++ System Info
System = LENOVO Lenovo ideapad 720S-13IKB 81A8
BIOS = 5SCN38WW
Release = Ubuntu 18.10
Kernel = 4.18.0-12-generic #13-Ubuntu SMP Wed Nov 14 15:17:05 UTC 2018 x86_64
/proc/cmdline = BOOT_IMAGE=/vmlinuz-4.18.0-12-generic root=/dev/nvme0n1p3 ro quiet splash vt.handoff=1
Init system = systemd v239
Boot mode = UEFI

Boot kubuntu 18.10 from legacy mode (MBR) - screen flicker, boot from EFI - no screen fliker.

Hello again.

Although I've got rid of the flickering/screen-tearing by booting with the "nomodeset" GRUB parameter (or i915.modeset=0), I wasn't fully satisfied with this solution as some options were no longer available (the missing brightness control and disabled suspend mode were the most annoying).

After much digging around for a solution, and even updating the kernel to 4.19.0-041900.201810221809, the actual solution came from BIOS.

The problem was SOLVED when I changed the Boot Mode from "Legacy support" (or something) to (only) UEFI.

Dromichet I've been running UEFI only the whole time. I don't think this is related since turning on legacy support also breaks windows for me and linux doesn't get fixed on either UEFI/Legacy. Plus even the symptoms you were having are different.

Yup! me too. I have been running UEFI too and therefore do not think it is related to this!

90 comments hidden view all 111 comments
Torfinn Aas (torfinnaas) wrote :

I have the same problem. Using Lenovo Ideapad 720s 4k screen, i7-8550U; Intel UHD Graphics 620
I have tried to install:
- Ubuntu 18.04.1
- Ubuntu 18.10
- Elementary OS 5.0
- Fedora (latest version)

Just need to install Windows then ...

Mohamed Yousif (adonese) wrote :

I've this very same problem. I'm using Ubuntu 18.04.

90 comments hidden view all 111 comments

Hello All!

I got a bios update today when I was working on Windows.. When I logged back in, there was no flickering even after waking from a suspend.

Could you folks please confirm if this was indeed an issue with the Lennovo BIOS.

Regards,

Sorry!
False alarm...

It is still flickering despite BIOS update...

Hi,
Was this issue resolved for anyone. I moved to kernel `Linux 4.20.6-042006-generic` and use `i915.fastboot=1` in my grub options but ubuntu 18.04 still flickers when it wakes up after lock or sleep.
The above options do prevent it from flickering from the start but only after it has once gone to sleep (display turned off).
Any help with this would be greatly appreciated.

Thanks,
Siddharth

No, this is still an ongoing issue. Some people had luck with upgrading their BIOS, but me and many more still have the issue unfortunately.

@Maintainers

Is there anything additional Information I can supply to help with this issue?

93 comments hidden view all 111 comments
Nadeem Syed (syednadeem-ahmed) wrote :

i have the same problem - thinkpad x1 carbon model 16 gb

       description: VGA compatible controller
       product: UHD Graphics 620
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 07
       width: 64 bits
       clock: 33MHz
       capabilities: pciexp

ubuntu 18.04

94 comments hidden view all 111 comments

@Maarten, any further help here?

summary: - Screen flicker Intel UHD graphics 620 (rev 07) Lenovo Ideapad 720s 13IKB
- 81BV
+ Horizontal screen flicker Intel UHD graphics 620 (rev 07) Lenovo Ideapad
+ 720s 13IKB 81BV

Did anyone check with the new kernel(5) in ubuntu 19.04?

Changed in linux:
importance: Unknown → Medium
status: Unknown → Incomplete

Nothing changed, I assume that work will be done here before the fix is pushed.

@Marteen I also tried to build the kernel with "constant_n = true;" and the flickering is still there. I do know that a laptop with the same display panel (Dell xps 9370) works perfectly fine under Linux. The panel is manufactured by AUO and is the B133ZAN01.1.

(In reply to Mazin from comment #96)
> Nothing changed, I assume that work will be done here before the fix is
> pushed.
>
> @Marteen I also tried to build the kernel with "constant_n = true;" and the
> flickering is still there. I do know that a laptop with the same display
> panel (Dell xps 9370) works perfectly fine under Linux. The panel is
> manufactured by AUO and is the B133ZAN01.1.

Maarten, any further comments here?

Ignore what I said earlier, the xps 13 model that uses the same panel is the xps 13 9380, and it seems to exhibit the same sort of flicker issue according to Bug 110511. Sorry!

Displaying first 40 and last 40 comments. View all 111 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.